/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.command;

import org.eclipse.draw2d.geometry.Point;
import org.fortiss.tooling.base.model.layout.ILayoutedModelElement;
import org.fortiss.tooling.base.ui.layout.IPointLayouter;
import org.fortiss.tooling.base.ui.layout.util.LayoutDataUtils;

/**
 * Command that handles the creation of bend points.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: F116BF8DD007FAB3A0EA25C09A7B48BB
 */
public class CreateBendpointCommand extends BendpointCommandBase {

	/** The {@link IPointLayouter}. */
	private final IPointLayouter layouter;

	/** Creates a bend point command. */
	public CreateBendpointCommand(ILayoutedModelElement connection, int index,
			Point location, IPointLayouter layouter) {
		super(connection, index, location);
		this.layouter = layouter;
	}

	/** {@inheritDoc} */
	@Override
	public void execute() {
		if (layouter != null) {
			layouter.doLayout(location);
		}
		LayoutDataUtils.addConnectionPoint(connection, location.x, location.y);
	}
}
