/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.layout.constants;

/**
 * Layout constants defining keys for the commonly used layout objects, like
 * {@link LayoutKeyConstants#NODE_DIMENSION} and
 * {@link LayoutKeyConstants#NODE_POSITION} for nodes,
 * {@link LayoutKeyConstants#CONNECTOR_DIMENSION}, and
 * {@link LayoutKeyConstants#CONNECTOR_POSITION} for connectors, and
 * {@link LayoutKeyConstants#CONNECTION_POINTS} for connections.
 * 
 * @author hoelzl
 * @author hummel
 * @author wandinger
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: 27C902A52E8959B0F07AC273EC8038DF
 */
public final class LayoutKeyConstants {

	/** Dimension layout data key. */
	public static final String NODE_DIMENSION = "dim";

	/** Position layout data key. */
	public static final String NODE_POSITION = "pos";

	/** Points layout data key. */
	public static final String CONNECTION_POINTS = "points";

	/** Sticky position layout data key */
	public static final String CONNECTOR_POSITION = "cpos";

	/** Sticky dimension layout data key */
	public static final String CONNECTOR_DIMENSION = "cdim";

	/** Sticky offset orientation layout data key */
	public static final String CONNECTOR_OFFSET_ORIENTATION = "coffsetorient";

	/** Sticky offset layout data key */
	public static final String CONNECTOR_OFFSET = "coffset";

	/** Sticky angle layout data key */
	public static final String CONNECTOR_ANGLE = "cangle";
}
